crypto.news.search
Crypto news articles by keyword, or the latest crypto headlines when no keyword is given.
curl --request POST \
--url https://api.agentkey.app/v2/ops/crypto.news.search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cursor": "<string>",
"fields": [
"<string>"
],
"include_raw": false,
"lang": "<string>",
"limit": 10,
"provider": "<string>",
"query": "<string>",
"routing": {
"allow_fallbacks": true,
"only": [
"<string>"
],
"order": [
"<string>"
],
"strategy": "auto"
},
"sort": "relevance"
}
'import requests
url = "https://api.agentkey.app/v2/ops/crypto.news.search"
payload = {
"cursor": "<string>",
"fields": ["<string>"],
"include_raw": False,
"lang": "<string>",
"limit": 10,
"provider": "<string>",
"query": "<string>",
"routing": {
"allow_fallbacks": True,
"only": ["<string>"],
"order": ["<string>"],
"strategy": "auto"
},
"sort": "relevance"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cursor: '<string>',
fields: ['<string>'],
include_raw: false,
lang: '<string>',
limit: 10,
provider: '<string>',
query: '<string>',
routing: {
allow_fallbacks: true,
only: ['<string>'],
order: ['<string>'],
strategy: 'auto'
},
sort: 'relevance'
})
};
fetch('https://api.agentkey.app/v2/ops/crypto.news.search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agentkey.app/v2/ops/crypto.news.search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'cursor' => '<string>',
'fields' => [
'<string>'
],
'include_raw' => false,
'lang' => '<string>',
'limit' => 10,
'provider' => '<string>',
'query' => '<string>',
'routing' => [
'allow_fallbacks' => true,
'only' => [
'<string>'
],
'order' => [
'<string>'
],
'strategy' => 'auto'
],
'sort' => 'relevance'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.agentkey.app/v2/ops/crypto.news.search"
payload := strings.NewReader("{\n \"cursor\": \"<string>\",\n \"fields\": [\n \"<string>\"\n ],\n \"include_raw\": false,\n \"lang\": \"<string>\",\n \"limit\": 10,\n \"provider\": \"<string>\",\n \"query\": \"<string>\",\n \"routing\": {\n \"allow_fallbacks\": true,\n \"only\": [\n \"<string>\"\n ],\n \"order\": [\n \"<string>\"\n ],\n \"strategy\": \"auto\"\n },\n \"sort\": \"relevance\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.agentkey.app/v2/ops/crypto.news.search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"cursor\": \"<string>\",\n \"fields\": [\n \"<string>\"\n ],\n \"include_raw\": false,\n \"lang\": \"<string>\",\n \"limit\": 10,\n \"provider\": \"<string>\",\n \"query\": \"<string>\",\n \"routing\": {\n \"allow_fallbacks\": true,\n \"only\": [\n \"<string>\"\n ],\n \"order\": [\n \"<string>\"\n ],\n \"strategy\": \"auto\"\n },\n \"sort\": \"relevance\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agentkey.app/v2/ops/crypto.news.search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"cursor\": \"<string>\",\n \"fields\": [\n \"<string>\"\n ],\n \"include_raw\": false,\n \"lang\": \"<string>\",\n \"limit\": 10,\n \"provider\": \"<string>\",\n \"query\": \"<string>\",\n \"routing\": {\n \"allow_fallbacks\": true,\n \"only\": [\n \"<string>\"\n ],\n \"order\": [\n \"<string>\"\n ],\n \"strategy\": \"auto\"\n },\n \"sort\": \"relevance\"\n}"
response = http.request(request)
puts response.read_body{
"attempts": [
{
"provider": "<string>",
"status": 123,
"took_ms": 123,
"tool": "<string>",
"error_type": "<string>",
"refunded": true,
"upstream_status": 123
}
],
"credits_charged": 123,
"data": {
"items": [
{
"id": "<string>",
"image_url": "<string>",
"lang": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"source": "<string>",
"summary": "<string>",
"tickers": [
"<string>"
],
"title": "<string>",
"url": "<string>"
}
],
"next_cursor": "<string>"
},
"op": "<string>",
"op_version": 123,
"provider": "<string>",
"request_id": "<string>",
"took_ms": 123,
"unsupported_fields": [
"<string>"
],
"raw": "<unknown>",
"raw_truncated": true
}{
"code": 123,
"error": "<string>",
"error_type": "<string>",
"attempts": [
{
"provider": "<string>",
"status": 123,
"took_ms": 123,
"tool": "<string>",
"error_type": "<string>",
"refunded": true,
"upstream_status": 123
}
],
"op": "<string>",
"request_id": "<string>"
}{
"code": 123,
"error": "<string>",
"error_type": "<string>",
"attempts": [
{
"provider": "<string>",
"status": 123,
"took_ms": 123,
"tool": "<string>",
"error_type": "<string>",
"refunded": true,
"upstream_status": 123
}
],
"op": "<string>",
"request_id": "<string>"
}{
"code": 123,
"error": "<string>",
"error_type": "<string>",
"attempts": [
{
"provider": "<string>",
"status": 123,
"took_ms": 123,
"tool": "<string>",
"error_type": "<string>",
"refunded": true,
"upstream_status": 123
}
],
"op": "<string>",
"request_id": "<string>"
}{
"code": 123,
"error": "<string>",
"error_type": "<string>",
"attempts": [
{
"provider": "<string>",
"status": 123,
"took_ms": 123,
"tool": "<string>",
"error_type": "<string>",
"refunded": true,
"upstream_status": 123
}
],
"op": "<string>",
"request_id": "<string>"
}{
"code": 123,
"error": "<string>",
"error_type": "<string>",
"attempts": [
{
"provider": "<string>",
"status": 123,
"took_ms": 123,
"tool": "<string>",
"error_type": "<string>",
"refunded": true,
"upstream_status": 123
}
],
"op": "<string>",
"request_id": "<string>"
}{
"code": 123,
"error": "<string>",
"error_type": "<string>",
"attempts": [
{
"provider": "<string>",
"status": 123,
"took_ms": 123,
"tool": "<string>",
"error_type": "<string>",
"refunded": true,
"upstream_status": 123
}
],
"op": "<string>",
"request_id": "<string>"
}Authorizations
AgentKey API key (ak_…).
Body
Opaque pagination cursor from the previous response's next_cursor. Send the same query parameters with it.
Projection: keep only these dotted paths of data, e.g. ["items.id", "items.text"].
Attach the raw upstream payload as raw (not a stable contract; truncated above 256 KB).
BCP 47 language tag of the articles, e.g. en, zh. Routes to a provider that publishes in that language.
Maximum number of articles to return.
1 <= x <= 20Shorthand for routing.only = [provider].
Keyword or phrase. Omit it for the latest headlines.
Provider routing override. order: try these providers first; only: restrict to these (equivalent to pinning); allow_fallbacks: false tries only the first eligible provider.
Show child attributes
Show child attributes
relevance = best match first; latest = newest first.
relevance, latest Response
Success envelope
Success envelope whose data is a NewsArticlePage.
Show child attributes
Show child attributes
Credits charged for this call (the method's fixed price).
One page of news articles.
Show child attributes
Show child attributes
Method name.
Method version that served the call.
Provider that actually served the call.
Correlation id; quote it in support requests.
Output paths this provider structurally does not supply; such fields are null for a different reason than 'missing on this record'.
Upstream payload, only with include_raw=true. Not a stable contract.
curl --request POST \
--url https://api.agentkey.app/v2/ops/crypto.news.search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cursor": "<string>",
"fields": [
"<string>"
],
"include_raw": false,
"lang": "<string>",
"limit": 10,
"provider": "<string>",
"query": "<string>",
"routing": {
"allow_fallbacks": true,
"only": [
"<string>"
],
"order": [
"<string>"
],
"strategy": "auto"
},
"sort": "relevance"
}
'import requests
url = "https://api.agentkey.app/v2/ops/crypto.news.search"
payload = {
"cursor": "<string>",
"fields": ["<string>"],
"include_raw": False,
"lang": "<string>",
"limit": 10,
"provider": "<string>",
"query": "<string>",
"routing": {
"allow_fallbacks": True,
"only": ["<string>"],
"order": ["<string>"],
"strategy": "auto"
},
"sort": "relevance"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cursor: '<string>',
fields: ['<string>'],
include_raw: false,
lang: '<string>',
limit: 10,
provider: '<string>',
query: '<string>',
routing: {
allow_fallbacks: true,
only: ['<string>'],
order: ['<string>'],
strategy: 'auto'
},
sort: 'relevance'
})
};
fetch('https://api.agentkey.app/v2/ops/crypto.news.search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agentkey.app/v2/ops/crypto.news.search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'cursor' => '<string>',
'fields' => [
'<string>'
],
'include_raw' => false,
'lang' => '<string>',
'limit' => 10,
'provider' => '<string>',
'query' => '<string>',
'routing' => [
'allow_fallbacks' => true,
'only' => [
'<string>'
],
'order' => [
'<string>'
],
'strategy' => 'auto'
],
'sort' => 'relevance'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.agentkey.app/v2/ops/crypto.news.search"
payload := strings.NewReader("{\n \"cursor\": \"<string>\",\n \"fields\": [\n \"<string>\"\n ],\n \"include_raw\": false,\n \"lang\": \"<string>\",\n \"limit\": 10,\n \"provider\": \"<string>\",\n \"query\": \"<string>\",\n \"routing\": {\n \"allow_fallbacks\": true,\n \"only\": [\n \"<string>\"\n ],\n \"order\": [\n \"<string>\"\n ],\n \"strategy\": \"auto\"\n },\n \"sort\": \"relevance\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.agentkey.app/v2/ops/crypto.news.search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"cursor\": \"<string>\",\n \"fields\": [\n \"<string>\"\n ],\n \"include_raw\": false,\n \"lang\": \"<string>\",\n \"limit\": 10,\n \"provider\": \"<string>\",\n \"query\": \"<string>\",\n \"routing\": {\n \"allow_fallbacks\": true,\n \"only\": [\n \"<string>\"\n ],\n \"order\": [\n \"<string>\"\n ],\n \"strategy\": \"auto\"\n },\n \"sort\": \"relevance\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agentkey.app/v2/ops/crypto.news.search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"cursor\": \"<string>\",\n \"fields\": [\n \"<string>\"\n ],\n \"include_raw\": false,\n \"lang\": \"<string>\",\n \"limit\": 10,\n \"provider\": \"<string>\",\n \"query\": \"<string>\",\n \"routing\": {\n \"allow_fallbacks\": true,\n \"only\": [\n \"<string>\"\n ],\n \"order\": [\n \"<string>\"\n ],\n \"strategy\": \"auto\"\n },\n \"sort\": \"relevance\"\n}"
response = http.request(request)
puts response.read_body{
"attempts": [
{
"provider": "<string>",
"status": 123,
"took_ms": 123,
"tool": "<string>",
"error_type": "<string>",
"refunded": true,
"upstream_status": 123
}
],
"credits_charged": 123,
"data": {
"items": [
{
"id": "<string>",
"image_url": "<string>",
"lang": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"source": "<string>",
"summary": "<string>",
"tickers": [
"<string>"
],
"title": "<string>",
"url": "<string>"
}
],
"next_cursor": "<string>"
},
"op": "<string>",
"op_version": 123,
"provider": "<string>",
"request_id": "<string>",
"took_ms": 123,
"unsupported_fields": [
"<string>"
],
"raw": "<unknown>",
"raw_truncated": true
}{
"code": 123,
"error": "<string>",
"error_type": "<string>",
"attempts": [
{
"provider": "<string>",
"status": 123,
"took_ms": 123,
"tool": "<string>",
"error_type": "<string>",
"refunded": true,
"upstream_status": 123
}
],
"op": "<string>",
"request_id": "<string>"
}{
"code": 123,
"error": "<string>",
"error_type": "<string>",
"attempts": [
{
"provider": "<string>",
"status": 123,
"took_ms": 123,
"tool": "<string>",
"error_type": "<string>",
"refunded": true,
"upstream_status": 123
}
],
"op": "<string>",
"request_id": "<string>"
}{
"code": 123,
"error": "<string>",
"error_type": "<string>",
"attempts": [
{
"provider": "<string>",
"status": 123,
"took_ms": 123,
"tool": "<string>",
"error_type": "<string>",
"refunded": true,
"upstream_status": 123
}
],
"op": "<string>",
"request_id": "<string>"
}{
"code": 123,
"error": "<string>",
"error_type": "<string>",
"attempts": [
{
"provider": "<string>",
"status": 123,
"took_ms": 123,
"tool": "<string>",
"error_type": "<string>",
"refunded": true,
"upstream_status": 123
}
],
"op": "<string>",
"request_id": "<string>"
}{
"code": 123,
"error": "<string>",
"error_type": "<string>",
"attempts": [
{
"provider": "<string>",
"status": 123,
"took_ms": 123,
"tool": "<string>",
"error_type": "<string>",
"refunded": true,
"upstream_status": 123
}
],
"op": "<string>",
"request_id": "<string>"
}{
"code": 123,
"error": "<string>",
"error_type": "<string>",
"attempts": [
{
"provider": "<string>",
"status": 123,
"took_ms": 123,
"tool": "<string>",
"error_type": "<string>",
"refunded": true,
"upstream_status": 123
}
],
"op": "<string>",
"request_id": "<string>"
}